Subject: ECIDs SUBMITTER ID 06741
From: "Jake Hoey" <[email-masked]>
To: <[email-masked]>
Date: Tue, 22 Apr 2025 12:46:57 +0300

Tähelepanu! Tegemist on väljastpoolt asutust saabunud kirjaga. Tundmatu
saatja korral palume linke ja faile mitte avada.

Hello,

I have submitted some E-cigarette submissions to the EUCEG

However I can not find the Tobacco 20mg/10mg on their page which I believe
is the issue for 06741-24-00095 and 06741-24-00102

They have been submitted successfully as you can see in this email

All other submissions sent at the same time have been successful, and are
now on the approved page so could you please explain why these 2
submissions are not on the approved page and if there is anything we need
to send to get them approved

Thanks,